<script>
import Issue from "@src/models/issue/Issue";
import store from "@state/store";
import devices from "@src/constantes/devides";
import modules from "@src/constantes/modules";

export default {
  name: "modal_issue",
  mounted() {
    const user = store.state.auth.currentUser
    this.issue = new Issue({user_id : user.user.id });
    this.modules = user.isCandidate ? modules.filter( module => module.on_candidate ) : modules
  },
  data() {
    return {
      issue: Issue,
      devices : devices
    };
  },
  methods: {
    async submit() {
      const message = await this.$store.dispatch('issue/create', {issue : this.issue});
      this.$bvToast.toast(message, {title: 'Succès'});
      this.$bvModal.hide('modal-ano')
      this.$bvModal.hide('modal-question')
    }
  }
}
</script>

<template>
  <div>
    <form @submit.prevent="submit">
      <b-form-group label="Module concerné" label-for="status">
        <b-form-select v-model="issue.module" :options="modules"></b-form-select>
      </b-form-group>
      <b-form-group label="Type d'appareil que vous utilisez" label-for="status">
      <b-form-select class="mt-2 mb-2" v-model="issue.device" :options="devices"></b-form-select>
      </b-form-group>
      <b-form-group label="Contenu" label-for="status">
        <b-form-textarea
          id="textarea"
          v-model="issue.content"
          placeholder="Decrivez ici le contenu de votre demande"
          rows="5"
        ></b-form-textarea>
      </b-form-group>
      <b-button type="submit" class="mt-2 float-right" variant="primary">Envoyer</b-button>
    </form>
  </div>
</template>


